# LibGit2Sharp

**LibGit2Sharp brings all the might and speed of [libgit2][0], a native Git implementation, to the managed world of .Net and Mono.**

 [0]: http://libgit2.github.com/

## Online resources

 - [NuGet package][1]
 - [Source code][2]
 - [Continuous integration][3]

 [1]: http://nuget.org/List/Packages/LibGit2Sharp
 [2]: https://github.com/libgit2/libgit2sharp/
 [3]: http://teamcity.codebetter.com/project.html?projectId=project127&guest=1

## Troubleshooting and support

 - Usage or programming related question? Post it on [StackOverflow][4] using the tag *libgit2sharp*
 - Found a bug or missing a feature? Feed the [issue tracker][5]
 - Announcements and related miscellanea through Twitter ([@libgit2sharp][6])

 [4]: http://stackoverflow.com/questions/tagged/libgit2sharp
 [5]: https://github.com/libgit2/libgit2sharp/issues
 [6]: http://twitter.com/libgit2sharp

## Current project build status
The [build][3] is generously hosted and run on the [CodeBetter TeamCity][7] infrastructure.

|  | Status of last build |
| :------ | :------: |
| **master** | [![master][8]][9] |
| **vNext (Win x86)** | [![vNext x86][10]][11] |
| **vNext (Win amd64)** | [![vNext amd64][12]][13] |
| **vNext (Mono)** | [![vNext Mono][14]][15] |

 [7]: http://codebetter.com/codebetter-ci/
 [8]: http://teamcity.codebetter.com/app/rest/builds/buildType:(id:bt398)/statusIcon
 [9]: http://teamcity.codebetter.com/viewType.html?buildTypeId=bt398&guest=1
 [10]: http://teamcity.codebetter.com/app/rest/builds/buildType:(id:bt651)/statusIcon
 [11]: http://teamcity.codebetter.com/viewType.html?buildTypeId=bt651&guest=1
 [12]: http://teamcity.codebetter.com/app/rest/builds/buildType:(id:bt652)/statusIcon
 [13]: http://teamcity.codebetter.com/viewType.html?buildTypeId=bt652&guest=1
 [14]: http://teamcity.codebetter.com/app/rest/builds/buildType:(id:bt656)/statusIcon
 [15]: http://teamcity.codebetter.com/viewType.html?buildTypeId=bt656&guest=1

## Quick contributing guide

 - Fork and clone locally
 - Create a topic specific branch. Add some nice feature. Do not forget the tests ;-)
 - Send a Pull Request to spread the fun!

More thorough information available in the [wiki][16].

 [16]: https://github.com/libgit2/libgit2sharp/wiki

## Authors

 - **Code:** The LibGit2Sharp [contributors][17]
 - **Logo:** [Jason "blackant" Long][18]

 [17]: https://github.com/libgit2/libgit2sharp/contributors
 [18]: https://github.com/jasonlong

## License

The MIT license (Refer to the [LICENSE.md][19] file)

 [19]: https://github.com/libgit2/libgit2sharp/blob/master/LICENSE.md
